#!/bin/bash

ugsl="gsl"
vgsl="2.7.1"

sgsl="$ugsl-$vgsl"

cc=$(gcc -v 2>&1 | grep -o -E "i686|x86_64" -m 1)

if [ "$cc" == "i686" ]; then 
	arch="x32"
elif [ "$cc" == "x86_64" ]; then 
	arch="x64"
fi

libs="/c/libs"
src="$libs/src/${arch}"

out_x="$libs/out/$ugsl"
out="$out_x/${arch}"

function make_build_enter {

	set -o xtrace

	cd "$out_x"
	rm -rf "${arch}"
	mkdir "${arch}"

	set +o xtrace
}

function make_build_gsl {

	set +o xtrace

	cc="gcc -static-libgcc -fno-ident -g0 -O2"

	set -o xtrace

	cd "$src/$sgsl"

	./configure CC="$cc" --prefix="$out" \
		&& make clean > /dev/null \
		&& make > build.log \
		&& make install

	set +o xtrace
}

make_build_enter
make_build_gsl
